Bug 207250 - archivers/libzip: Update to 1.1.1.
Summary: archivers/libzip: Update to 1.1.1.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Raphael Kubo da Costa
URL: http://www.nih.at/libzip/NEWS.html
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-02-16 16:36 UTC by Raphael Kubo da Costa
Modified: 2016-02-17 14:00 UTC (History)
1 user (show)

See Also:
makc: maintainer-feedback+


Attachments
Proposed patch (1.15 KB, patch)
2016-02-16 16:36 UTC, Raphael Kubo da Costa
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Raphael Kubo da Costa freebsd_committer 2016-02-16 16:36:31 UTC
Created attachment 167083 [details]
Proposed patch

Simple update to the latest version, released on 2016-02-07. From http://www.nih.at/libzip/NEWS.html:

2016-02-07: Released libzip 1.1.1

- Build fixes for Linux

- Fix some warnings reported by PVS-Studio

2016-01-28: Released libzip 1.1

- ziptool(1): command line tool to modify zip archives

- Speedups for archives with many entries

- Coverity fixes

- Better APK support

- Support for running tests on Windows

- More build fixes for Windows

- Portability fixes

- Documentation improvements
Comment 1 Max Brazhnikov freebsd_committer 2016-02-17 13:14:00 UTC
Approved, thanks for the patch!
Comment 2 commit-hook freebsd_committer 2016-02-17 13:59:39 UTC
A commit references this bug:

Author: rakuco
Date: Wed Feb 17 13:58:46 UTC 2016
New revision: 409045
URL: https://svnweb.freebsd.org/changeset/ports/409045

Log:
  Update to 1.1.1.

  2016-02-07: Released libzip 1.1.1
  - Build fixes for Linux
  - Fix some warnings reported by PVS-Studio

  2016-01-28: Released libzip 1.1
  - ziptool(1): command line tool to modify zip archives
  - Speedups for archives with many entries
  - Coverity fixes
  - Better APK support
  - Support for running tests on Windows
  - More build fixes for Windows
  - Portability fixes
  - Documentation improvements

  PR:		207250
  Approved by:	makc (maintainer)

Changes:
  head/archivers/libzip/Makefile
  head/archivers/libzip/distinfo
  head/archivers/libzip/pkg-plist